# Reference
<!-- DO NOT EDIT: This document was generated by Puppet Strings -->

## Table of Contents

**Classes**

_Public Classes_

* [`afs`](#afs): Install and configure AFS

_Private Classes_

* `afs::config`: configures afs packages
* `afs::firewall`: Maintain firewall entries
* `afs::install`: Installs afs packages
* `afs::kojitag`: Configure afs koji repositories
* `afs::params`: Defaults for afs module
* `afs::service`: Control afs sserice

## Classes

### afs

Install and configure AFS

#### Examples

##### Simple Example

```puppet
include afs
```

##### Use AFS Cache in Memory

```puppet
class{'afs':
  memcachesize => 524288,
  options      => {
    memcache => true,
  },
}
```

#### Parameters

The following parameters are available in the `afs` class.

##### `cachesize`

Data type: `Variant[Enum['AUTOMATIC'], Pattern[/\A\d+\z/], Integer[0]]`

disk cache size

Default value: $afs::params::cachesize

##### `memcachesize`

Data type: `Variant[Pattern[/\A\d+\z/], Integer[0]]`

memorycachesize

Default value: $afs::params::memcachesize

##### `options`

Data type: `Hash`

Hash of permissable TDB

Default value: $afs::params::options

##### `runserver`

Data type: `Enum['on','off']`

run an afs server or not

Default value: $afs::params::runserver

##### `is_upstream`

Data type: `Boolean`

Use upstream module

Default value: $afs::params::is_upstream

##### `prefer_upstream_dkms`

Data type: `Boolean`

use dkms module

Default value: $afs::params::prefer_upstream_dkms

##### `aklog_unit`

Data type: `Boolean`

install and enable systemd user service aklog.service C8 and newer onlyw

Default value: $afs::params::aklog_unit

##### `pam_afs_session`

Data type: `Boolean`

install and configure pam_afs_session in sshd pamstack. C8 and newer only.

Default value: $afs::params::pam_afs_session

##### `handle_cellservdb`

Data type: `Boolean`

let the module handle the client CellServDB files. On by default.

Default value: $afs::params::handle_cellservdb

##### `thiscell`

Data type: `String`



Default value: $afs::params::thiscell

##### `enable_firewall`

Data type: `Boolean`



Default value: $afs::params::enable_firewall

